Subject: Re: [Patch net-next 3/7] inetpeer: use generic union inet_addr

From: Cong Wang <[email-masked]>
Date: Tue, 23 Jul 2013 10:05:31 +0800

On Mon, 2013-07-22 at 08:18 -0700, Eric Dumazet wrote:
> On Mon, 2013-07-22 at 15:05 +0800, Cong Wang wrote:
> > From: Cong Wang <[email-masked]>
> > 
> > struct inetpeer_addr is pretty similar to generic union inet_addr,
> > therefore can be safely converted to it.
> 
> Its 'safe' but adds 50% increase for struct tcp_metrics_block
> 
> I fail to see this mentioned in the changelog.

I asked you in RFC, but you don't give me any response, this is the
reason. :)

> I guess its no big deal, but why do you think this code used hand coded
> functions instead of generic ?
> 
> 
> 

I don't understand what you are asking here, seems totally unrelated
with the point you raised above, therefore I am completely confused...

Thanks.